Subject: Re: wishlist: git gui not listing untracked files in unstaged list

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 10 Mar 2010 14:14:03 -0800

Jeff King <[email-masked]> wrote:
> This is an inconsistency in the way that tilde-expansion is handled. The
> core.excludesfile config variable is expanded internally with the
> "pathname" magic (git_config_pathname). But handing the filename
> directly to ls-files --exclude-from does not do that expansion.
> 
> So either there is a bug in ls-files, which should expand from the
> command line, or one in git-gui, which should be using "git config
> --path core.excludesfile" to get the path.

I'd say its git-gui, yes?  Doesn't my shell automatically do
--exclude-from=~/my.list for me?  Its not the command's job
to do that expansion.

-- 
Shawn.